Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226341 - Merge Review: python-docs
Summary: Merge Review: python-docs
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:46 UTC by Nobody's working on this, feel free to take it
Modified: 2009-05-06 11:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-06 11:40:32 UTC
susi.lehtola: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:46:12 UTC
Fedora Merge Review: python-docs

http://cvs.fedora.redhat.com/viewcvs/devel/python-docs/
Initial Owner: wtogami@redhat.com

Comment 1 Susi Lehtola 2009-04-11 10:32:43 UTC
- What is the stuff at the beginning needed for?

- You can use 
%{!?pyver: %global pyver %(%{__python} -c "import sys ; print sys.version[:3]")}
to get the Python base version.

- Patches are not documented.
- Commented patches should be removed.

- BuildRoot should be
%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

- Remove topdir, pushd and popd and use
make -C Doc
instead. 

- Remove buildroot check from install.

Comment 2 Susi Lehtola 2009-04-11 10:52:41 UTC
rpmlint output:
python-docs.noarch: W: summary-ended-with-dot Documentation for the Python programming language.
python-docs.src: W: summary-ended-with-dot Documentation for the Python programming language.
python-docs.src:28: W: unversioned-explicit-obsoletes python2-docs
2 packages and 0 specfiles checked; 0 errors, 3 warnings.


MUST: The spec file for the package is legible and macros are used consistently. NEEDSFIX
- See stuff mentioned above.

MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK

MUST: Permissions on files must be set properly. NEEDSFIX
- Why %defattr(-,root,root,755)?

MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK

Comment 3 Susi Lehtola 2009-04-24 20:39:23 UTC
Please address the issues above.

Comment 4 Roman Rakus 2009-04-27 14:55:08 UTC
diff -u -p -r1.18 python-docs.spec
--- python-docs.spec	26 Feb 2009 21:14:56 -0000	1.18
+++ python-docs.spec	27 Apr 2009 14:52:41 -0000
@@ -10,7 +10,7 @@
 
 %define pybasever 2.6
 
-Summary: Documentation for the Python programming language.
+Summary: Documentation for the Python programming language
 Name: %{python}-docs
 Version: %{pybasever}
 Release: 2%{?dist}
@@ -66,7 +66,7 @@ mkdir $RPM_BUILD_ROOT
 rm -fr $RPM_BUILD_ROOT
 
 %files
-%defattr(-,root,root,755)
+%defattr(-,root,root)
 %doc Misc/NEWS  Misc/README Misc/cheatsheet 
 %doc Misc/HISTORY Doc/build/html
 
Is it ok?

> python-docs.src:28: W: unversioned-explicit-obsoletes python2-docs
Any idea which version?

Comment 5 Susi Lehtola 2009-04-27 15:40:53 UTC
(In reply to comment #4)
>  %files
> -%defattr(-,root,root,755)
> +%defattr(-,root,root)
>  %doc Misc/NEWS  Misc/README Misc/cheatsheet 
>  %doc Misc/HISTORY Doc/build/html
> 
> Is it ok?

Should be %defattr(-,root,root,-)

> > python-docs.src:28: W: unversioned-explicit-obsoletes python2-docs
> Any idea which version?  

This isn't a problem.

Please address the issues in comment #1.

Comment 6 Roman Rakus 2009-05-06 09:53:09 UTC
diff -u -p -r1.18 python-docs.spec
--- python-docs.spec	26 Feb 2009 21:14:56 -0000	1.18
+++ python-docs.spec	6 May 2009 09:47:22 -0000
@@ -10,7 +10,7 @@
 
 %define pybasever 2.6
 
-Summary: Documentation for the Python programming language.
+Summary: Documentation for the Python programming language
 Name: %{python}-docs
 Version: %{pybasever}
 Release: 2%{?dist}
@@ -20,7 +20,6 @@ Source: http://www.python.org/ftp/python
 BuildArch: noarch
 
 Patch4: python-2.6-nowhatsnew.patch
-#Patch17: python-2.4-tex-fix.patch
 Patch18: python-2.6-extdocmodules.patch
 
 Requires: %{python} = %{version}
@@ -29,7 +28,8 @@ Obsoletes: python2-docs
 Provides: python2-docs = %{version}
 %endif
 
-BuildRoot: %{_tmppath}/%{name}-%{version}-root
+BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
+
 BuildRequires: %{python} python-sphinx python-docutils python-jinja
 BuildRequires: python-pygments
 URL: http://www.python.org/
@@ -46,19 +46,16 @@ for the Python language.
 %setup -q -n Python-%{version}
 
 %patch4 -p1 -b .nowhatsnew
-#%%patch17 -p1 -b .tex-fix
 %patch18 -p1 -b .extdocmodules
 
 %build
 topdir=`pwd`
 
-pushd Doc
-make html
+make -C Doc html
 #rm html/index.html.in Makefile* info/Makefile tools/sgmlconv/Makefile
-popd
 
 %install
-[ -d $RPM_BUILD_ROOT ] && rm -fr $RPM_BUILD_ROOT
+rm -fr $RPM_BUILD_ROOT
 
 mkdir $RPM_BUILD_ROOT
 
@@ -66,7 +63,7 @@ mkdir $RPM_BUILD_ROOT
 rm -fr $RPM_BUILD_ROOT
 
 %files
-%defattr(-,root,root,755)
+%defattr(-,root,root,-)
 %doc Misc/NEWS  Misc/README Misc/cheatsheet 
 %doc Misc/HISTORY Doc/build/html

>- What is the stuff at the beginning needed for?
I don't know. The same is in python spec file

>- You can use 
>%{!?pyver: %global pyver %(%{__python} -c "import sys ; print
>sys.version[:3]")}
>to get the Python base version.
I don't change it. I think the better is to set version by hand.


>- Patches are not documented.
Patches are from previous package - python. I don't know what they were solving...

>- Commented patches should be removed.
Commented lines removed. Patches aren't in cvs.

All else should be fixed.

Comment 7 Susi Lehtola 2009-05-06 10:22:23 UTC
OK, please commit the new spec to CVS so I can approve.

Comment 8 Roman Rakus 2009-05-06 10:50:58 UTC
done

Comment 9 Susi Lehtola 2009-05-06 11:40:14 UTC
- You might want to add "-p" to "mkdir $RPM_BUILD_ROOT" in install phase.

- Also, you can remove the unnecessary
 topdir=`pwd`
from the build phase.


The package has been

APPROVED


Note You need to log in before you can comment on or make changes to this bug.